using AutoMapper;
using WingInterfaceLibrary.DTO.Courses;
using WingInterfaceLibrary.DTO.Education;

namespace WingEducationService
{
    public class AutoMapperProfile : Profile
    {
        public AutoMapperProfile()
        {
            CreateMap<BaseCourseInfoDTO, CoursePageDTO>().ReverseMap();
            CreateMap<BaseCourseInfoDTO, StudentInCoursePageDTO>().ReverseMap();
            CreateMap<CourseExaminationDTO, BaseCourseExaminationDTO>().ReverseMap();
            CreateMap<StudentExaminationDetailDTO, StudentExaminationDTO>().ReverseMap();
            CreateMap<TeacherSetExaminationAnswerDTO, ExaminationAnswerDTO>().ReverseMap();
            CreateMap<StudentSetExaminationAnswerDTO, ExaminationAnswerDTO>().ReverseMap();
            CreateMap<BaseStudentExaminationDTO, StudentExaminationDTO>().ReverseMap();
        }
    }
}